itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context::W128_T Union Reference

Data structure to hold 128-bit values. More...

`#include <itpp/base/random_dsfmt.h>`

## Public Attributes

uint64_t | u [2]
uint32_t | u32 [4]
double | d [2]

## Detailed Description

### template<int MEXP, int POS1, int SL1, uint64_t MSK1, uint64_t MSK2, uint64_t FIX1_V, uint64_t FIX2_V, uint64_t PCV1_V, uint64_t PCV2_V>
union itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context::W128_T

Data structure to hold 128-bit values.

Definition at line 124 of file random_dsfmt.h.

The documentation for this union was generated from the following file:

- itpp/base/random_dsfmt.h

Generated on Thu Mar 20 2014 12:26:47 for IT++ by Doxygen 1.8.6